{"items":[{"type":"link","label":"SignBox","link":"/fr/products/pki-on-prem/signbox/openapi","routeSlug":"/fr/products/pki-on-prem/signbox/openapi","content":{"contentType":"overview","meta":{"name":"SignBox"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"openapi.json","url":"/_bundle/@l10n/fr/products/pki-on-prem/SignBox/openapi.json?download"},{"kind":"download","label":"openapi.yaml","url":"/_bundle/@l10n/fr/products/pki-on-prem/SignBox/openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com","description":"SignBox domain name"}}}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"SignBox (2.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This document describes the SignBox API interface that can be used by an external system to complete a Digital Signature."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The SignBox APIs are included into the remote signature server where is also installed the SmartUP component."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"To use any of the functionalities described, it is needed to send a POST message to the resource: the input parameters"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"of the function will be the POST input parameters."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"REST endpoint pattern:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"http://{SMARTSEC}/api/{resource}"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"where "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"SMARTSEC"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is the SignBox domain name and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"resource"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is the API to call."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Polling / result retrieval"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The response to POST messages returns a job ID (for function "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"sign"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"). You can poll the operation progress status with:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET http://{SMARTSEC}/api/job/{jobId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If the response returns status "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"\"done\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", for 60 seconds it is possible to get the operation results with:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET http://{SMARTSEC}/api/result/{jobId}"},"children":[]}]}]}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"Echo","link":"/fr/products/pki-on-prem/signbox/openapi/echo","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/echo","items":[{"label":"Echo test function","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/fr/products/pki-on-prem/signbox/openapi/echo/echo","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/echo/echo","metadata":{"seo":{"title":"Echo test function","description":"This function simply allows user to make a message be echoed from the SignBox for test purposes."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"echo","name":"Echo test function","isWebhook":false,"pointer":"/paths/~1api~1echo/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Echo test function","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This function simply allows user to make a message be echoed from the SignBox for test purposes."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"URL: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"http://{SMARTSEC}/api/echo"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"METHOD: POST"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ENCODING: multipart/form-data"},"children":[]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["multipart/form-data"],"mediaTypeSchemas":{"multipart/form-data":{"schemaId":"components/schemas/EchoRequest"}},"schemaId":"components/schemas/EchoRequest","pointer":"/paths/~1api~1echo/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/echo","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[],"requestBody":{"multipart/form-data":{"schemaId":"components/schemas/EchoRequest"}},"responseCodes":["200"],"pointer":"/api/echo","href":"echo/echo","openApiOperationId":"echo","summary":"Echo test function"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"schemaId":"components/schemas/EchoRequest","mediaTypes":["multipart/form-data"],"mediaTypeSchemas":{"multipart/form-data":{"schemaId":"components/schemas/EchoRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Output Parameters","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/EchoResponse","exampleIds":["paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received","paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument","paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword"]}},"schemaId":"components/schemas/EchoResponse","exampleIds":["paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received","paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument","paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword"]}],"pointer":"/paths/~1api~1echo/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/EchoResponse","exampleIds":["paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received","paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument","paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/EchoResponse","exampleIds":["paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received","paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument","paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/echo/echo"}],"panels":[]}]},"httpPath":"/api/echo"}],"content":{"contentType":"group","meta":{"name":"Echo"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Echo","showPageActions":true},{"nodeType":"markdoc","content":"Echo test function"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/echo","summary":"Echo test function","prefix":{"name":"post","color":"post"},"badges":[],"link":"/echo/echo","deprecated":false}]}]}]}]}},{"type":"group","label":"Sign","link":"/fr/products/pki-on-prem/signbox/openapi/sign","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/sign","items":[{"label":"Sign: signature function","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/fr/products/pki-on-prem/signbox/openapi/sign/sign","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/sign/sign","metadata":{"seo":{"title":"Sign: signature function","description":"This function allows user to sign a document in any of the supported signature format."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"sign","name":"Sign: signature function","isWebhook":false,"pointer":"/paths/~1api~1sign/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Sign: signature function","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This function allows user to sign a document in any of the supported signature format."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The document to sign can be sent through an URL (parameter "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"url_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") or through data stream (parameter "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"file_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":");"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"only one of the above methods can be used."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The signed file is sent to an URL (parameter "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"url_out"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") or it can be retrieved through the result endpoint"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"(for 60 seconds, see above)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"URL: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"http://{SMARTSEC}/api/sign"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"METHOD: POST"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ENCODING: multipart/form-data"},"children":[]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["multipart/form-data"],"mediaTypeSchemas":{"multipart/form-data":{"schemaId":"components/schemas/SignRequest"}},"schemaId":"components/schemas/SignRequest","pointer":"/paths/~1api~1sign/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/sign","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[],"requestBody":{"multipart/form-data":{"schemaId":"components/schemas/SignRequest","encoding":{"file_in":{"contentType":"application/octet-stream"}}}},"responseCodes":["200"],"pointer":"/api/sign","href":"sign/sign","openApiOperationId":"sign","summary":"Sign: signature function"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"schemaId":"components/schemas/SignRequest","mediaTypes":["multipart/form-data"],"mediaTypeSchemas":{"multipart/form-data":{"schemaId":"components/schemas/SignRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Output Parameters","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/SignResponse","exampleIds":["paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id","paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf","paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml","paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format","paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing","paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme","paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets"]}},"schemaId":"components/schemas/SignResponse","exampleIds":["paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id","paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf","paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml","paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format","paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing","paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme","paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets"]}],"pointer":"/paths/~1api~1sign/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/SignResponse","exampleIds":["paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id","paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf","paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml","paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format","paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing","paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme","paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/SignResponse","exampleIds":["paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id","paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf","paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml","paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format","paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing","paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme","paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/sign/sign"}],"panels":[]}]},"httpPath":"/api/sign"}],"content":{"contentType":"group","meta":{"name":"Sign"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Sign","showPageActions":true},{"nodeType":"markdoc","content":"Signature function"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/sign","summary":"Sign: signature function","prefix":{"name":"post","color":"post"},"badges":[],"link":"/sign/sign","deprecated":false}]}]}]}]}},{"type":"group","label":"Jobs","link":"/fr/products/pki-on-prem/signbox/openapi/jobs","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/jobs","items":[{"label":"Poll job status","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/fr/products/pki-on-prem/signbox/openapi/jobs/getjobstatus","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/jobs/getjobstatus","metadata":{"seo":{"title":"Poll job status","description":"Polling endpoint:http://{SMARTSEC}/api/job/{jobId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getJobStatus","name":"Poll job status","isWebhook":false,"pointer":"/paths/~1api~1job~1{jobId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Poll job status","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Polling endpoint:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"http://{SMARTSEC}/api/job/{jobId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If the response returns status "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"\"done\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", for 60 seconds it is possible to get the operation results from:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"GET /api/result/{jobId}"},"children":[]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"jobId","in":"path","schemaId":"schema_0","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Job ID returned by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/api/sign"},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1api~1job~1{jobId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/job/{jobId}","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"parameters":{"path":[{"name":"jobId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[],"responseCodes":["200"],"pointer":"/api/job/{jobId}","href":"jobs/getjobstatus","openApiOperationId":"getJobStatus","summary":"Poll job status"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Job status","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/JobStatus","exampleIds":["paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done"]}},"schemaId":"components/schemas/JobStatus","exampleIds":["paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done"]}],"pointer":"/paths/~1api~1job~1{jobId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/JobStatus","exampleIds":["paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/JobStatus","exampleIds":["paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/jobs/getjobstatus"}],"panels":[]}]},"httpPath":"/api/job/{jobId}"},{"label":"Retrieve operation result","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/fr/products/pki-on-prem/signbox/openapi/jobs/getjobresult","routeSlug":"/fr/products/pki-on-prem/signbox/openapi/jobs/getjobresult","metadata":{"seo":{"title":"Retrieve operation result","description":"Result retrieval endpoint (available for 60 seconds after status is \"done\"):http://{SMARTSEC}/api/result/{jobId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getJobResult","name":"Retrieve operation result","isWebhook":false,"pointer":"/paths/~1api~1result~1{jobId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Retrieve operation result","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Result retrieval endpoint (available for 60 seconds after status is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"\"done\""},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"):"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"http://{SMARTSEC}/api/result/{jobId}"},"children":[]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"jobId","in":"path","schemaId":"schema_0","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Job ID returned by "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/api/sign"},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1api~1result~1{jobId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/result/{jobId}","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"parameters":{"path":[{"name":"jobId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[],"responseCodes":["200"],"pointer":"/api/result/{jobId}","href":"jobs/getjobresult","openApiOperationId":"getJobResult","summary":"Retrieve operation result"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Operation result (signed document)","mediaType":"application/octet-stream","mediaTypes":["application/octet-stream"],"mediaTypeContent":{"application/octet-stream":{"schemaId":"schema_1"}},"schemaId":"schema_1"}],"pointer":"/paths/~1api~1result~1{jobId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_1","mediaTypes":["application/octet-stream"],"mediaTypeContent":{"application/octet-stream":{"schemaId":"schema_1"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/jobs/getjobresult"}],"panels":[]}]},"httpPath":"/api/result/{jobId}"}],"content":{"contentType":"group","meta":{"name":"Jobs"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Jobs","showPageActions":true},{"nodeType":"markdoc","content":"Job status polling and result retrieval"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/job/{jobId}","summary":"Poll job status","prefix":{"name":"get","color":"get"},"badges":[],"link":"/jobs/getjobstatus","deprecated":false},{"title":"/api/result/{jobId}","summary":"Retrieve operation result","prefix":{"name":"get","color":"get"},"badges":[],"link":"/jobs/getjobresult","deprecated":false}]}]}]}]}}],"store":{"schemaStore":{"components/schemas/EchoRequest":{"id":"components/schemas/EchoRequest","kind":"json-schema","title":"EchoRequest","data":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"Message to be echoed"}}}},"components/schemas/EchoResponse":{"id":"components/schemas/EchoResponse","kind":"json-schema","title":"EchoResponse","data":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"String with message echoed or error detail"},"exception":{"type":"string","description":"Exception related to the error"}},"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Output Parameters:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"message (String): \"Message received\" OR"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"TypeError: echo() takes exactly 1 argument (0 given)\" OR"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"TypeError: echo() got an unexpected keyword argument '<argument>'\""},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exception (string): TypeError"},"children":[]}]}]}]}]}},"components/schemas/SignRequest":{"id":"components/schemas/SignRequest","kind":"json-schema","title":"SignRequest","data":{"type":"object","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Input parameters for "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/api/sign"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (multipart/form-data)."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Note: the document to sign can be provided either with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"url_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OR with "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"file_in"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" (only one method can be used)."},"children":[]}]}]}],"properties":{"url_in":{"type":"string","description":"URL with document to sign"},"url_out":{"type":"string","description":"URL where the signed document is posted"},"urlback":{"type":"string","description":"URL to which the response is sent"},"file_in":{"type":"string","format":"binary","description":"Document data stream to sign"},"username":{"type":"string","description":"Username for the remote identity"},"password":{"type":"string","description":"Password for the remote identity"},"pin":{"type":"string","description":"PIN for the remote identity"},"otp":{"type":"string","description":"OTP for the remote identity"},"check":{"type":"string","description":"1 : the certificate will be checked before signature\n0 : the certificate will NOT be checked before signature\n"},"format":{"type":"string","description":"pades, cades, xades (lower case). Default is pades"},"identifier":{"type":"string","description":"Token identifier"},"tsa_bookmark":{"type":"string","description":"The alias corresponding to the Timestamp authority to use.\nThe binding between alias and the Timestamping resource is managed by SignBox configuration.\n"},"target_exp":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"XPath expression to sign selected nodes instead of the root node (default expression is '/*')."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If this expression selects a XAdES signature node, it countersigns it."},"children":[]}]}]}]},"reason":{"type":"string","description":"The PAdES attribute for the reason"},"location":{"type":"string","description":"The PAdES attribute for the location"},"level":{"type":"string","description":"T, X, XL, BES, LTV"},"img_bookmark":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bookmark for graphic signature placement (image + position)."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example bookmarks: dn01, dn02, dn03, dn04."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Aliases onlydn01, onlydn02, onlydn03, onlydn04 print only the Subject DN."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"img_bookmark"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is set, the position parameter is discarded."},"children":[]}]}]}]},"npage":{"type":"string","description":"Page where the graphic signature is inserted. First page is 0.\nDefault value is 0.\n"}},"oneOf":[{"required":["url_in"]},{"required":["file_in"]}]}},"components/schemas/SignResponse":{"id":"components/schemas/SignResponse","kind":"json-schema","title":"SignResponse","data":{"type":"object","properties":{"id":{"type":"string","description":"Job ID assigned to the call (example 3.3)"},"message":{"type":"string","description":"String with the error detail"},"exception":{"type":"string","description":"Exception related to the error"}},"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Output Parameters:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"id (string): job ID assigned to the call (Example: 3.3)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"message (string): possible values include:"},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"*"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"NoMatch: attempt to sign in PAdES format a file which is not a pdf;"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"MalformedXMLError: The file you're trying to sign must be a well-formed XML document"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ValueError: Unsupported signature format <wrong_format>"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ProcessTerminated: process ended with exit code 1"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Exception: bad scheme url"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ValueError: No targets provided"},"children":[]}]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exception (string): possible values include:"},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"*"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"NoMatch"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"MalformedXMLError"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ValueError"},"children":[]}]}]}]}]}]}]}},"components/schemas/JobStatus":{"id":"components/schemas/JobStatus","kind":"json-schema","title":"JobStatus","data":{"type":"object","required":["status"],"properties":{"status":{"type":"string","description":"Operation progress status.\nDocument explicitly mentions value \"done\".\n"}}}},"schema_0":{"kind":"json-schema","data":{"type":"string"},"id":"schema_0"},"schema_1":{"kind":"json-schema","data":{"type":"string","format":"binary"},"id":"schema_1"}},"exampleStore":{"paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received":{"value":{"message":"Message received"},"key":"message_received","summary":"Success example","id":"paths/~1api~1echo/post/responses/200/content/application~1json/examples/message_received"},"paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument":{"value":{"message":"TypeError: echo() takes exactly 1 argument (0 given)","exception":"TypeError"},"key":"no_argument","summary":"Called without any argument","id":"paths/~1api~1echo/post/responses/200/content/application~1json/examples/no_argument"},"paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword":{"value":{"message":"TypeError: echo() got an unexpected keyword argument '&lt;argument&gt;'","exception":"TypeError"},"key":"unexpected_keyword","summary":"Called with unexpected keyword argument","id":"paths/~1api~1echo/post/responses/200/content/application~1json/examples/unexpected_keyword"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id":{"value":{"id":"3.3"},"key":"ok_job_id","summary":"Job created","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/ok_job_id"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf":{"value":{"message":"NoMatch: attempt to sign in PAdES format a file which is not a pdf;","exception":"NoMatch"},"key":"pades_not_pdf","summary":"NoMatch (PAdES but input is not PDF)","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/pades_not_pdf"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml":{"value":{"message":"MalformedXMLError: The file you're trying to sign must be a well-formed XML document","exception":"MalformedXMLError"},"key":"malformed_xml","summary":"Malformed XML (XAdES input not well formed)","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/malformed_xml"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format":{"value":{"message":"ValueError: Unsupported signature format &lt;wrong_format&gt;","exception":"ValueError"},"key":"unsupported_format","summary":"Unsupported signature format","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/unsupported_format"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing":{"value":{"message":"ProcessTerminated: process ended with exit code 1","exception":"ProcessTerminated"},"key":"resource_missing","summary":"Resource does not exist","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/resource_missing"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme":{"value":{"message":"Exception: bad scheme url","exception":"Exception"},"key":"bad_url_scheme","summary":"Bad scheme url (invalid url_in or url_out)","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/bad_url_scheme"},"paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets":{"value":{"message":"ValueError: No targets provided","exception":"ValueError"},"key":"no_targets","summary":"No XML nodes match target_exp","id":"paths/~1api~1sign/post/responses/200/content/application~1json/examples/no_targets"},"paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done":{"value":{"status":"done"},"key":"done","summary":"done","id":"paths/~1api~1job~1{jobId}/get/responses/200/content/application~1json/examples/done"}},"securitySchemeStore":{},"specVersion":"3.0.3","servers":[{"url":"http://{SMARTSEC}","description":"SignBox domain (HTTP)","variables":{"SMARTSEC":{"default":"example.com","description":"SignBox domain name"}}}],"specType":"openapi"},"options":{"mockServer":{"off":true},"disableRouter":true,"downloadUrls":[{"url":"/_bundle/@l10n/fr/products/pki-on-prem/SignBox/openapi.json?download"},{"url":"/_bundle/@l10n/fr/products/pki-on-prem/SignBox/openapi.yaml?download"}],"excludeFromSearch":false,"replayFeatures":{"graphql":false},"specType":"openapi","markdocOptions":{"tags":{},"nodes":{},"components":{}},"metadata":{"title":"SignBox","description":"\nThis document describes the SignBox API interface that can be used by an external system to complete a Digital Signature.\nThe SignBox APIs are included into the remote signature server where is also installed the SmartUP component.\n\nTo use any of the functionalities described, it is needed to send a POST message to the resource: the input parameters\nof the function will be the POST input parameters.\n\nREST endpoint pattern:\n  `http://{SMARTSEC}/api/{resource}`\nwhere `SMARTSEC` is the SignBox domain name and `resource` is the API to call.\n\nPolling / result retrieval\n\nThe response to POST messages returns a job ID (for function `sign`). You can poll the operation progress status with:\n  `GET http://{SMARTSEC}/api/job/{jobId}`\n\nIf the response returns status `\"done\"`, for 60 seconds it is possible to get the operation results with:\n  `GET http://{SMARTSEC}/api/result/{jobId}`\n"}},"baseSlug":"/fr/products/pki-on-prem/signbox/openapi","routesMapping":{}}